Withdraw and edit award approval
/fscmRestApi/resources/11.13.18.05/supplierNegotiationAwards/{AuctionHeaderId}/action/EditAndWithdrawAwardApproval
Request
-
AuctionHeaderId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
- application/vnd.oracle.adf.action+json
object-
Action: string
Values used to specify whether the custom action will withdraw the award approval and set the award to edit mode, or only set the award to edit mode. Possible values are WITHDRAW or EDIT_AWARD.
-
Buyer: string
Name of the buyer who has withdrawn and is editing the award decision.
-
BuyerId: string
Value that uniquely identifies the user who has withdrawn and editing the award decision.
Response
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
object-
result(required): object
result
Additional Properties Allowed: additionalPropertiesIf the request is successful, this action returns a confirmation that the negotiation award has been withdrawn and is available for editing.
objectExamples
This example describes how to edit and withdraw an award approval.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/supplierNegotiationAwards/AuctionHeaderId/action/EditAndWithdrawAwardApproval"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/supplierNegotiationAwards/300100676638592/action/EditAndWithdrawAwardApproval"
Example
This example shows how to
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"Buyer": "Clare Smith",
"BuyerId": 300100572589892,
"Action": "WITHDRAW"
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"result": "SUCCESS"
}